4月 022020
 

flutter编译运行出现下面问题,可通过下面方法排查

Q: emulator: ERROR: Running multiple emulators with the same AVD is an experimental feature

Removing the .lock files did the trick for me. Find the avd and remove the lock files. In a Mac .android/avd/’NAMEOFAVD.avd directory . The files I removed were hardware-qemu.ini.lock and multiinstance.lock.

Q: I want to run it using the emulator, but it is grayed out. The message “not applicable for the main.dart configuration” appears.

1.GO TO PROJECT STRUCTURE>PROJECT>NOSDK
2.Change NOSDK to the latest ANDROID API PLATFORM
3.THEN GO TO MODULE DO THE SAME

 

Sorry, the comment form is closed at this time.